<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package consult
 */

?>
<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<link rel="profile" href="//gmpg.org/xfn/11">
	<?php 
    $consult_header_layout_setting = get_theme_mod( 'consult_header_layout_setting', '' );
    $consult_header_layout = function_exists('get_field') ? get_field('consult_header_layout') : '';

    if ( $consult_header_layout ) {
      $consult_header_layout = $consult_header_layout;
    } else {
      $consult_header_layout = $consult_header_layout_setting;
    }

    if ( $consult_header_layout == 'style-one' ) {
      $header_class = 'header-style-1';
    } elseif ( $consult_header_layout == 'style-two' ) {
      $header_class = 'header-style-3';
    } else {
      $header_class = 'header-style-2';
    }

    wp_head();
    ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div class="page-wrapper">
<!-- Start header -->
<?php get_template_part( 'theme-layouts/header/preloader' ); ?>
<header id="header" class="site-header <?php echo esc_attr( $header_class ); ?>">
    <?php get_template_part( 'theme-layouts/header/topbar' ); ?>
    <nav id="site-navigation" class="navigation navbar navbar-default">
        <div class="container">
            <div class="navbar-header">
                <!-- site logo -->
                <?php get_template_part( 'theme-layouts/header/logo' ); ?>
                <button type="button" id="hamburger-menu" class="open-nav-btn open-btn" aria-label="open navigation" aria-controls="link-list" aria-expanded="false">
                    <span class="sr-only"><?php echo esc_html__( 'Toggle navigation','consult' ) ?></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div>
            <!-- nav -->
            <?php get_template_part( 'theme-layouts/header/menu' ); ?>
            <!-- Search -->
            <?php get_template_part( 'theme-layouts/header/search' ); ?>
        </div><!-- end of container -->
    </nav>
</header>

<!-- end of header -->
<?php get_template_part( 'theme-layouts/header/title', 'bar' ); ?>