<?php
function consult_metabox_init(){
	if( function_exists('acf_add_local_field_group') ):


		acf_add_local_field_group(array(
			'key' => 'custom_heading_key',
			'title' => esc_html__('Page Options', 'consult'),
			'fields' => array(
				array(
					'key' => 'consult_page_title',
					'label' => esc_html__('Hide Title bar ', 'consult'),
					'name' => 'consult_show_page_title',
					'type' => 'true_false',
					'instructions' => esc_html__('Please turn on if you don\'t want to show title bar', 'consult'),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'custom_heading',
					'label' => esc_html__('Custom Heading', 'consult'),
					'name' => 'consult_custom_heading_title',
					'type' => 'text',
					'instructions' => esc_html__('Please write custom page title for specific page', 'consult'),
					'required' => 0,
					'conditional_logic' => array(
              array(
                  array(
                      'field' => 'consult_page_title',
                      'operator' => '==',
                      'value' => '0',
                  ),
              ),
          ),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'header_options',
					'label' => esc_html__('Header Style', 'consult'),
					'name' => 'consult_header_layout',
					'type' => 'select',
					'instructions' => esc_html__('Pleas select header options', 'consult'),
					'required' => 0,
					'conditional_logic' => array(
              array(
                  array(
                      'field' => 'consult_page_title',
                      'operator' => '==',
                      'value' => '0',
                  ),
              ),
          ),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'style-one' => esc_html__('Style One', 'consult'),
						'style-two' => esc_html__('Style Two', 'consult'),
					),
					'default_value' => 'style-one',
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 1,
					'return_format' => 'label',
					'placeholder' => '',
				),
				array(
					'key' => 'header_image',
					'label' => esc_html__('Banner Image', 'consult'),
					'name' => 'consult_header_image',
					'type' => 'image',
					'instructions' => esc_html__('Please select header image for specific page', 'consult'),
					'required' => 0,
					'conditional_logic' => array(
              array(
                  array(
                      'field' => 'consult_page_title',
                      'operator' => '==',
                      'value' => '0',
                  ),
              ),
          ),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'url',
					'preview_size' => 'thumbnail',
					'library' => 'all',
					'min_width' => 0,
					'min_height' => 0,
					'min_size' => 0,
					'max_width' => 0,
					'max_height' => 0,
					'max_size' => 0,
					'mime_types' => '',
				),
				array(
					'key' => 'custom_section_padding',
					'label' => esc_html__('Custom Padding', 'consult'),
					'name' => 'consult_custom_padding',
					'type' => 'text',
					'instructions' => esc_html__('Please write custom padding for specific page', 'consult'),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '50',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '100px',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
			),
			'location' => array(
				array(
					array(
						'param' => 'post_type',
						'operator' => '==',
						'value' => 'page',
					),
				),
			),
			'menu_order' => 0,
			'position' => 'normal',
			'style' => 'default',
			'label_placement' => 'left',
			'instruction_placement' => 'label',
			'hide_on_screen' => '',
			'active' => 1,
			'description' => '',
		));


		acf_add_local_field_group(array(
			'key' => 'custom_footer_options',
			'title' => esc_html__('Footer Options', 'consult'),
			'fields' => array(
				array(
					'key' => 'show_footer',
					'label' => esc_html__('Show Footer', 'consult'),
					'name' => 'consult_show_site_footer',
					'type' => 'true_false',
					'instructions' => esc_html__('Please turn on if you don\'t want to show footer', 'consult'),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				
			),
			'location' => array(
				array(
					array(
						'param' => 'post_type',
						'operator' => '==',
						'value' => 'page',
					),
				),
			),
			'menu_order' => 2,
			'position' => 'normal',
			'style' => 'default',
			'label_placement' => 'left',
			'instruction_placement' => 'label',
			'hide_on_screen' => '',
			'active' => 1,
			'description' => '',
		));

		acf_add_local_field_group(array(
			'key' => 'consult_options',
			'title' => esc_html__('Sidebar Options', 'consult'),
			'fields' => array(
				array(
					'key' => 'consult_sidebar_options',
					'label' => esc_html__('Sidebar Options', 'consult'),
					'name' => 'consult_sidebar_options',
					'type' => 'select',
					'instructions' => esc_html__('Pleas select sidebar options', 'consult'),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'left-sidebar' => esc_html__('Left Sidebar', 'consult'),
						'right-sidebar' => esc_html__('Right Sidebar', 'consult'),
						'hide-sidebar' => esc_html__('Hide Sidebar', 'consult'),
					),
					'default_value' => 'left-sidebar',
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 1,
					'return_format' => 'label',
					'placeholder' => '',
				),
			),
			'location' => array(
				array(
					array(
						'param' => 'post_type',
						'operator' => '==',
						'value' => 'page',
					),
				),
			),
			'menu_order' => 0,
			'position' => 'side',
			'style' => 'default',
			'label_placement' => 'top',
			'instruction_placement' => 'label',
			'hide_on_screen' => '',
			'active' => true,
			'description' => '',
		));

	endif;
}
add_action('init','consult_metabox_init');