<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package consult
 */

$consult_sidebar_position = function_exists(	'get_field_object'	) ? get_field_object(	'consult_sidebar_options'	) : '';
$sidebar_position = isset( $consult_sidebar_position['value'] ) ? $consult_sidebar_position['value'] : '';

	// Sidebar Position
	if ( $sidebar_position === 'hide-sidebar' ) {
		$layout_class = 'col col-md-10 col-md-offset-1';
		$sidebar_class = '';
		$consult_sidebar_class = 'hide-sidebar';
	} elseif ( $sidebar_position === 'left-sidebar' ) {
		$layout_class = 'col col-md-8 col-md-push-4';
		$sidebar_class = 'col col-md-4 col-md-pull-8';
		$consult_sidebar_class = 'left-sidebar';
	} elseif( !is_active_sidebar( 'sidebar-2' ) ) {
		$layout_class = 'col col-md-12';
		$sidebar_class = '';
		$consult_sidebar_class = 'not-active-page-sidebar';
	} else {
		$layout_class = 'col col-md-8';
		$sidebar_class = 'col col-md-4';
		$consult_sidebar_class = 'right-sidebar';
	}


	$consult_custom_padding = function_exists('get_field') ? get_field('consult_custom_padding') : '';
	if ( $consult_custom_padding ) {
	  $padding_style = ' style="';
	  $padding_style .= ( $consult_custom_padding ) ? 'padding-top: '. esc_attr( $consult_custom_padding ) .';' : '';
	  $padding_style .= ( $consult_custom_padding ) ? 'padding-bottom: '. esc_attr( $consult_custom_padding ) .';' : '';
	  $padding_style .= '"';
	} else {
	  $padding_style = '';
	}

get_header();
?>
	<div id="site-content" class="page-section section-padding <?php if ( isset( $consult_sidebar_class ) ) { echo esc_attr( $consult_sidebar_class ); } ?>" <?php echo $padding_style; ?> id="site-content">
	<div class="container">
		<div class="row">
			<div class="<?php if ( isset( $layout_class ) ) { echo esc_attr( $layout_class ); } ?>">
					<main id="primary" class="site-main">
					<?php
					while ( have_posts() ) :
						the_post();

						get_template_part( 'theme-layouts/post/content', 'page' );

						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;

					endwhile; // End of the loop.
					?>

				</main><!-- #main -->
			</div>
			<?php
				if ( $sidebar_position !== 'hide-sidebar' && is_active_sidebar( 'sidebar-2' ) ) {
				 ?>
					<div class="<?php if ( isset( $sidebar_class ) ) { echo esc_attr( $sidebar_class ); } ?>">
						<?php get_sidebar(); ?>
					</div>
				<?php 
				} 
			?>
		</div>
	</div>
</div>
<?php
get_footer();
