<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package consult
 */

$post_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$post_image_alt = get_post_meta($post_large_image, '_wp_attachment_image_alt', true);

$consult_blog_single_comment = get_theme_mod( 'consult_blog_single_display_comment', '' );
$consult_blog_single_date = get_theme_mod( 'consult_blog_single_display_date', '' );
$consult_blog_single_user = get_theme_mod( 'consult_blog_single_display_user', '' );

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post format-standard-image">
		<?php if ( $post_large_image ) { ?>
	   <div class="entry-media">
	      <img src="<?php echo esc_url( $post_large_image[0] ); ?>" alt="<?php echo esc_attr( $post_image_alt ); ?>">
	  </div>
		<?php } ?>
    <ul class="entry-meta">
    	<?php if ( !$consult_blog_single_user ) { ?>
        <li>
        	<?php 
           printf( esc_html__(' By:','consult') .' <a href="%1$s" rel="author">%2$s</a>',
              esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
              get_the_author()
            );
          ?>
         </li>
       	<?php } 
       	if ( !$consult_blog_single_date ) { ?>
        	<li><span><?php echo esc_html__( 'Date: ', 'consult' ); ?></span><?php echo esc_html( get_the_date() );  ?></li>
      	<?php }
      	if ( !$consult_blog_single_comment ) { ?>
	        <li>
	          <a class="consult-comment" href="<?php echo esc_url( get_comments_link() ); ?>">
	            <?php printf( esc_html( _nx( 'Comment (%1$s)', 'Comments (%1$s)', get_comments_number(), 'comments title', 'consult' ) ), number_format_i18n( get_comments_number() ),'<span>' . get_the_title() . '</span>' ); ?>
	          </a>
	        </li>
      	<?php } ?>
    </ul>
    <?php
		the_content(
			sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'consult' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post( get_the_title() )
			)
		);

		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'consult' ),
				'after'  => '</div>',
			)
		);?>
</div>
</article><!-- #post-<?php the_ID(); ?> -->